unit foci2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    Button2: TButton;
    Memo1: TMemo;
    Label3: TLabel;
    Button3: TButton;
    ListBox1: TListBox;
    Button4: TButton;
    Label4: TLabel;
    Edit1: TEdit;
    Label5: TLabel;
    Button5: TButton;
    Memo2: TMemo;
    Label6: TLabel;
    Memo3: TMemo;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  meccs = record
    fordulo :Integer; //0..400
    ve_h,ve_v,fi_h,fi_v: Byte; //0..9
    hg_neve,ve_neve: String[20];
  end;

var
  Form1: TForm1;
  e: array [1..400] of meccs;
  f: Text;
  db: Integer;
  csapat: String[20];

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var i:Integer;
    sz:String[42];
begin
  AssignFile(f,'meccs.txt');
  Reset(f);
  ReadLn(F,db);
  For i:=1 to db do
   begin
    Read(F,e[i].fordulo);
    Read(F,e[i].ve_h);
    Read(F,e[i].ve_v);
    Read(F,e[i].fi_h);
    Read(F,e[i].fi_v);
    Readln(F,sz);
    Delete(sz,1,1); // ez kell mg!
    e[i].hg_neve:=copy(sz,1,pos(' ',sz)-1); //pos() param csere!
    e[i].ve_neve:=copy(sz,pos(' ',sz)+1,Length(sz)-pos(' ',sz));
   end;
  CloseFile(F);
  Button2.Enabled:=True;
  Button3.Enabled:=True;
  Button4.Enabled:=True;
  Button5.Enabled:=True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Memo1.Clear;
  Memo2.Clear;
  Memo3.Clear;
  csapat:='Lelkesek';
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:Integer;
begin
  Memo1.Clear;
//  ShowMessage(e[1].hg_neve);
  for i:=1 to db do
   begin
    if e[i].fordulo=SpinEdit1.Value
     then
      begin
      Memo1.Text:=Memo1.Text+e[i].hg_neve+'-'+e[i].ve_neve;
      Memo1.Text:=Memo1.Text+': '+IntToStr(e[i].ve_h)+'-';
      Memo1.Text:=Memo1.Text+IntToStr(e[i].ve_v)+' (';
      Memo1.Text:=Memo1.Text+IntToStr(e[i].fi_h)+'-';
      Memo1.Text:=Memo1.Text+IntToStr(e[i].fi_v)+')'+#13#10;
      end;
   end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var i:Integer;
begin
 for i:=1 to db do
 begin
  {if ((e[i].fi_h<e[i].fi_v) and (e[i].ve_h>e[i].ve_v) or
     (e[i].fi_v<e[i].fi_h) and (e[i].ve_v>e[i].ve_h)) then
   begin
   if (e[i].ve_h>e[i].ve_v)
   then
   Listbox1.Items.Add(IntToStr(e[i].fordulo)+' '+e[i].hg_neve)
   else
   Listbox1.Items.Add(IntToStr(e[i].fordulo)+' '+e[i].ve_neve);
   end;
  }
  if (e[i].fi_h<e[i].fi_v) and (e[i].ve_h>e[i].ve_v)
   then
    Listbox1.Items.Add(IntToStr(e[i].fordulo)+' '+e[i].hg_neve);
  if (e[i].fi_v<e[i].fi_h) and (e[i].ve_v>e[i].ve_h)
   then
    Listbox1.Items.Add(IntToStr(e[i].fordulo)+' '+e[i].ve_neve);
 end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  csapat:=edit1.Text;
  if csapat='' then
   begin
    ShowMessage('Nem adtl meg csapatnevet!');
   end;
end;

procedure TForm1.Button5Click(Sender: TObject);
var i,l,k:Integer;
begin
  Memo2.Clear;
  l:=0;
  k:=0;
  for i:=1 to db do
   begin
     if e[i].hg_neve=csapat then
      begin
       l:=l+e[i].ve_h;
       k:=k+e[i].ve_v;
      end;
     if e[i].ve_neve=csapat then
      begin
       l:=l+e[i].ve_v;
       k:=k+e[i].ve_h;
      end;
   end;
  Memo2.Text:='ltt: '+IntToStr(l)+' kapott: '+IntToStr(k);
end;

procedure TForm1.Button6Click(Sender: TObject);
var i,ford:Integer;
    megverte:string[20];
begin
  Memo3.Clear;
  ford:=0;
  for i:=1 to db do
   begin
    if (e[i].hg_neve=csapat) and (e[i].ve_v>e[i].ve_h)
     then
      megverte:=e[i].ve_neve;
      ford:=e[i].fordulo;
   end;
  if ford=0
   then Memo3.Text:='A csapat otthon veretlen maradt'
   else
    memo3.Text:='Fordul: '+IntToStr(ford)+' ,Csapat: '+megverte;
end;

end.
